declare class AbortError extends Error {
    constructor(message?: string);
    name: string;
}
export declare const throwIfAborted: (signal?: {
    aborted: boolean;
    reason?: Error;
}) => void;
export declare const createCancelError: (message?: string) => AbortError;
export declare function isCancelError(error: any): error is AbortError;
export declare function raceWithAbort<T>(promise: Promise<T>, signal: AbortSignal): Promise<T>;
/**
 * Returns a promise that waits for a timeout and can be canceled with a signal
 *
 * @param ms Wait time
 * @param signal Abort signal
 */
export declare function cancellableWait(ms: number, signal: AbortSignal): Promise<void>;
export {};
//# sourceMappingURL=cancellable-promise.d.ts.map